Skip to content

Update file properties

Request

Updates the properties of a specific envelope file. Currently supports assigning a document class with metadata values. Does not modify the file content.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

envelopeIdstring, (uuid)required

Unique identifier of the envelope

fileIdstring, (uuid)required

Unique identifier of the file

Bodyapplication/jsonrequired
documentClassobject(UpdateEnvelopeFileDocumentClassRequest)required

Request body for updating the document class of an envelope file.

restrictedVisibilityRecipientIdsArray of strings or null, (uuid)

The IDs of recipients with restricted visibility to this file. Null means no change.

PUT
/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files/{fileId}
curl -i -X PUT \
  '/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files/{fileId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "documentClass": {
      "id": "84a8b8bc-cfa7-4969-ad4d-8144b6fdcc16",
      "metadata": [
        {
          "type": "NumberType",
          "value": 100.9,
          "id": "d0b19ac7-9764-4993-8161-095f7209b392"
        },
        {
          "type": "StringType",
          "value": "New contract",
          "id": "3180df92-f91b-4386-b485-788724b42e1f"
        },
        {
          "type": "DateType",
          "value": "2026-05-20",
          "id": "b6bd937a-292d-4083-968e-a43ca25f94f8"
        },
        {
          "type": "ListOptionType",
          "value": "bb477fc0-9584-413b-bcf8-f5b7d456f260",
          "id": "46d934f3-352e-42c0-b349-d30a47c59930"
        }
      ]
    }
  }'

Responses

No Content

Response
No content